local mod_name = minetest.get_current_modname()
local mod_path = minetest.get_modpath(mod_name)
local S = minetest.get_translator(mod_name)



minetest.register_craftitem("pmb_muskets:flintlock_mechanism", {
    description = pmb_util.desc(S("Flintlock Mechanism"), "blue"),
    _tt_long_desc = S("Used in crafting flintlock firearms"),
    inventory_image = "pmb_muskets_mechanism.png",
    groups = { item_tin_bar = 1, craftitem = 1, },
})

if pmb_vars.technology_level >= 4 then
    local m = "pmb_items:bronze_sheet"
    local g = "pmb_items:iron_sheet"
    local b = "pmb_items:iron_bar"
    minetest.register_craft({
        output = "pmb_muskets:flintlock_mechanism",
        recipe = {
        {"",b, b},
        {"",g, ""},
        {m, m, m},
        },
    })
end
